using Fantasy.DataStructure.Collection;
using Fantasy.Entitas;
using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson.Serialization.Options;
using NB.Game;

namespace NB;

public sealed class PlayerItemContainerComponent : Entity
{
    /// <summary>
    /// 最大格子数量
    /// </summary>
    public int CellCountMax;
    
    /// <summary>
    /// 容器内的物品  
    /// </summary>
    [BsonDictionaryOptions(DictionaryRepresentation.ArrayOfArrays)]
    public Dictionary<long, Item> Items = new Dictionary<long, Item>();
    
    /// <summary>
    /// 钓组信息
    /// </summary>
    [BsonDictionaryOptions(DictionaryRepresentation.ArrayOfArrays)]
    public Dictionary<long, List<long>> FishingRig = new Dictionary<long, List<long>>();
}